| Home | Libraries | People | FAQ | More

## Class template basic_parsed_options

boost::program_options::basic_parsed_options —

## Synopsis

    template<typename charT>
    class basic_parsed_options {
    public:
      // construct/copy/destruct
      basic_parsed_options(const options_description *);

      std::vector< basic_option< charT > > options;
      const  options_description * description;
    };

## Description

Results of parsing an input source. The primary use of this class is passing information from parsers component to value storage component. This class does not makes much sense itself.

### `basic_parsed_options` construct/copy/destruct

1.     basic_parsed_options(const options_description * description);

### Specializations

- Class basic_parsed_options<wchar_t>

| Copyright © 2002-2004 Vladimir Prus